## org.firebirdsql.jdbc
Class FBDriver

    java.lang.Object
      org.firebirdsql.jdbc.FBDriver

All Implemented Interfaces:
  Driver, FirebirdDriver

    public class FBDriver

extends Object
implements FirebirdDriver

The Jaybird JDBC Driver implementation for the Firebird database.

Version:
  1.0
Author:
  David Jencks

Field Summary
`static String` `BLOB_BUFFER_LENGTH`
`static String` `CHARSET`
`static String` `DATABASE`
`static String` `PASSWORD`
`static String` `TPB_MAPPING`
`static String` `USE_TRANSLATION`
`static String` `USER`
`static String` `USER_NAME`

Constructor Summary
`FBDriver()`

Method Summary
`boolean` `acceptsURL(String url)` Returns true if the driver thinks that it can open a connection to the given URL.
`FirebirdConnection` `connect(FirebirdConnectionProperties properties)` Connect to the specified database using the specified connection properties.
`Connection` `connect(String url, Properties originalInfo)` Attempts to make a database connection to the given URL.
`int` `getMajorVersion()` Gets the driver's major version number.
`int` `getMinorVersion()` Gets the driver's minor version number.
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)` Gets information about the possible properties for this driver.
`boolean` `jdbcCompliant()` Reports whether this driver is a genuine JDBC COMPLIANTTM driver.
`FirebirdConnectionProperties` `newConnectionProperties()` Create new instance of `FirebirdConnectionProperties` that can later be used in `FirebirdDriver.connect(FirebirdConnectionProperties)` call.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARSET

    public static final String CHARSET

See Also:
  Constant Field Values

### USE_TRANSLATION

    public static final String USE_TRANSLATION

See Also:
  Constant Field Values

### USER

    public static final String USER

See Also:
  Constant Field Values

### USER_NAME

    public static final String USER_NAME

See Also:
  Constant Field Values

### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

### DATABASE

    public static final String DATABASE

See Also:
  Constant Field Values

### BLOB_BUFFER_LENGTH

    public static final String BLOB_BUFFER_LENGTH

See Also:
  Constant Field Values

### TPB_MAPPING

    public static final String TPB_MAPPING

See Also:
  Constant Field Values

Constructor Detail

### FBDriver

    public FBDriver()

Method Detail

### connect

    public Connection connect(String url,
                              Properties originalInfo)
                       throws SQLException

  Attempts to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

  The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

  The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

  Specified by:
    `connect` in interface `Driver`
  Parameters:
    `url` - the URL of the database to which to connect
    `originalInfo` - a list of arbitrary string tag/value pairs as connection arguments. Normally at least a "user" and "password" property should be included.
  Returns:
    a `Connection` object that represents a connection to the URL
  Throws:
    `SQLException` - if a database access error occurs

### connect

    public FirebirdConnection connect(FirebirdConnectionProperties properties)
                               throws SQLException

  Description copied from interface: `FirebirdDriver`
  Connect to the specified database using the specified connection properties.

  Specified by:
    `connect` in interface `FirebirdDriver`
  Parameters:
    `properties` - instance of `FirebirdConnectionProperties` created in `FirebirdDriver.newConnectionProperties()` method.
  Returns:
    new connection to the Firebird database.
  Throws:
    `SQLException` - if an error happened while connecting to the database.

### newConnectionProperties

    public FirebirdConnectionProperties newConnectionProperties()

  Description copied from interface: `FirebirdDriver`
  Create new instance of `FirebirdConnectionProperties` that can later be used in `FirebirdDriver.connect(FirebirdConnectionProperties)` call.

  Specified by:
    `newConnectionProperties` in interface `FirebirdDriver`
  Returns:
    instance of `FirebirdConnectionProperties`.

### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

  Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

  Specified by:
    `acceptsURL` in interface `Driver`
  Parameters:
    `url` - the URL of the database
  Returns:
    true if this driver can connect to the given URL
  Throws:
    `SQLException` - if a database access error occurs

### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

  Gets information about the possible properties for this driver.

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

  Specified by:
    `getPropertyInfo` in interface `Driver`
  Parameters:
    `url` - the URL of the database to which to connect
    `info` - a proposed list of tag/value pairs that will be sent on connect open
  Returns:
    an array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.
  Throws:
    `SQLException` - if a database access error occurs TODO check the correctness of implementation TODO convert parameters into constants

### getMajorVersion

    public int getMajorVersion()

  Gets the driver's major version number. Initially this should be 1.

  Specified by:
    `getMajorVersion` in interface `Driver`
  Returns:
    this driver's major version number

### getMinorVersion

    public int getMinorVersion()

  Gets the driver's minor version number. Initially this should be 0.

  Specified by:
    `getMinorVersion` in interface `Driver`
  Returns:
    this driver's minor version number

### jdbcCompliant

    public boolean jdbcCompliant()

  Reports whether this driver is a genuine JDBC COMPLIANTTM driver. A driver may only report true here if it passes the JDBC compliance tests; otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

  Specified by:
    `jdbcCompliant` in interface `Driver`

Copyright © 2001-2010. All Rights Reserved.